Bug 365531 - TAHI--DHCPv6--The IA option of the recieved DHCPv6 Reply Message includes invalid IA_Address option
TAHI--DHCPv6--The IA option of the recieved DHCPv6 Reply Message includes inv...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
All Linux
urgent Severity medium
: rc
: ---
Assigned To: David Cantrell
: ZStream
: 436798 (view as bug list)
Depends On:
Blocks: 253764 455667
  Show dependency treegraph
Reported: 2007-11-04 01:28 EST by Zhiyong Wu
Modified: 2009-01-20 16:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:38:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-11-04 01:28:00 EST
Description of problem:

  When having dhcpv6 tests in the server mode,we found that The IA option of 

the recieved DHCPv6 Reply Messageincludes invalid IA_Address option in some 


Version-Release number of selected component (if applicable):


Software Environment:   
TAHI package:    

How reproducible:
  every time

Steps to Reproduce:    
  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results 
Actual results:

   The IA option of the recieved DHCPv6 Reply Message includes invalid 

IA_Address option

Expected results:

   The IA option of the recieved DHCPv6 Reply Message includes no invalid 

IA_Address option

Additional info:
   please refer to 


   (1) 44 Part C : Reception of Request message if NUT cannt assign any 
Comment 1 RHEL Product and Program Management 2007-11-07 05:34:49 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 David Cantrell 2008-01-15 23:45:47 EST
Fixed upstream, will be in dhcpv6-1.0.5.
Comment 4 Zhiyong Wu 2008-02-22 01:54:45 EST
the test cases still FAIL On RHEL5.2 with dhcpv6-1.0.10

for more details, pls refer to

Comment 6 Denise Dumas 2008-02-27 10:24:03 EST
In order to debug this problem, we need the test case for RHEL 5.2 with an exact
reproducer, including output with verbose debugging messages from the DHCPV6
software.  One way to do this would be to extract the commands that TAHI runs.
The man pages for dhcp6s, dhcp6r, and dhcp6c all show how to generate verbose
debug messages. 
Comment 8 David Cantrell 2008-03-12 16:15:24 EDT
Fixed in dhcpv6-1.0.10-2.el5.
Comment 10 David Cantrell 2008-03-14 15:53:51 EDT
*** Bug 436798 has been marked as a duplicate of this bug. ***
Comment 15 Red Hat Bugzilla 2008-07-07 21:24:18 EDT
Adding yshao@redhat.com to the cc list as the manager of the disabled user zwu@redhat.com who reported this bug
Comment 16 David Cantrell 2008-07-15 15:26:43 EDT

*** This bug has been marked as a duplicate of 439526 ***
Comment 17 David Cantrell 2008-07-15 19:22:59 EDT
A fix for this bug is in dhcpv6-1.0.10-6.el5 and later builds.
Comment 18 Jiri Skrabal 2008-07-16 17:01:26 EDT
Setting priority to urgent because of EUS.
Comment 26 errata-xmlrpc 2009-01-20 16:38:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.